<?php
require_once 'includes/helpers.php';

function mapFields($contact)
{
    return array(
        'fname' => $contact['fname'],
        'lname' => $contact['lname'],
        'dob' => $contact['dob'],
        'email' => $contact['email'],
        'phone' => $contact['phone'],
        'company' => $contact['company'],
        'state' => $contact['state'],
        'city' => $contact['city'],
        'address' => $contact['address'],
        'zip' => $contact['zip'],
        'age' =>  getAge($contact['dob'], date('Y/m/d')),
        'contact_owner' => $contact['username'],
        'todays_date' => date('Y/m/d'),
    );
}
function getAge($birthdate, $tdate)
{
    if ($birthdate == "") return 0;
    $adjust = (date("md") >= date("md", strtotime($birthdate))) ? 0 : -1;
    $years = date("Y") - date("Y", strtotime($birthdate));
    return $years + $adjust;
}




function mapStoreFields($store)
{
    return array(
        'store_name'=>$store['store_name'],
        'store_address'=>$store['store_address'],
        'store_city'=>$store['store_city'],
        'store_zip'=>$store['store_zip'],
        'store_phone'=>$store['store_phn_num']
    );
}

$authentication = new Authentication();
$authentication->CheckAuthentication();

SetTimeZone();


$validation = new Validation();

$id = $validation->GetNumericParameter('id');
$docId = $validation->GetNumericParameter('doc');


$docType = 1;
if (isset($_GET['type'])){
    $docType = $_GET['type'];
    $validation->ValidateNumericParameter($docType);
}




$sql = "SELECT title, contents FROM document_library WHERE id=$docId";
$query = mysql_query($sql);
$document = mysql_fetch_array($query);



if(!$document)
    $validation->InvalidParameterResponse();



$sql = "SELECT
	fname, lname, dob,  email, phone, company, state, city, address, zip, `username`
FROM
	contacts
JOIN
	`employee_master`
ON
	`lead_owner` = `emp_id`
WHERE
	id=$id";


$query = mysql_query($sql);
$contact = mysql_fetch_array($query);
if(!$contact)
    $validation->InvalidParameterResponse();

//$dob = $row['dob'];
//echo getAge($dob, $tdate) . ' year old';

$filename = $contact["fname"] . " " . $contact["lname"] . " - "  . $document["title"];
$file = preg_replace("([^\w\s\d\-_~,;:\[\]\(\).])", '', $filename);
// Remove any runs of periods (thanks falstro!)
$file = preg_replace("([\.]{2,})", '', $filename);

$contents = $document["contents"];

$templateCodes = mapFields($contact);

foreach ($templateCodes as $find => $replace) {
    $contents = str_replace("[%$find%]", $replace, $contents);
}

//------- store ---------
$store_id = $_SESSION["store_id"];

$sql_store = "SELECT
            `store_name`, `status`, `store_city`, `store_address`, `store_zip`, `store_phn_num`
        FROM
            `stores_master`
        WHERE
            `store_id`= $store_id";

echo $sql_store;

$query_store = mysql_query($sql_store);
$store = mysql_fetch_array($query_store);
if(!$store)
    $validation->InvalidParameterResponse();



$templateCodesStore = mapStoreFields($store);

foreach ($templateCodesStore AS $find => $replace){
    $contents = str_replace("[%$find%]", $replace, $contents);
}

if($docType==1){
    header("Content-Disposition: attachment; filename=\"$file.doc\"");
    header("Content-Type: application/msword");

    echo "<html><head><title>$file</title></head><body>$contents</body></html>";
} else {
    include("mpdf/mpdf.php");
    $mpdf=new mPDF('c');

    $mpdf->WriteHTML($contents);

    if($docType==2)
        $mpdf->Output($file.".pdf", "D");
    else
        $mpdf->Output($file.".pdf", "I");
}


exit;