<?php

require_once 'includes/helpers.php';
$validation = new Validation();
$authentication = new Authentication();
$authentication->CheckAuthentication();

if (isset($_GET['id'])) {
    $st_id = $_GET['id'];
    $validation->ValidateNumericParameter($st_id);
} else {
    $st_id = $_SESSION["store_id"];
}

SetTimeZone($st_id);

$filterDate = "";
if (isset($_GET['startdate']) && isset($_GET['enddate'])) {
    $dt1 = $_GET['startdate'];
    $dt2 = $_GET['enddate'];

    $validation->ValidateDateParameter($dt1);
    $validation->ValidateDateParameter($dt2);

    $start_dt = date('Y-m-d', strtotime($dt1));
    $end_dt = date('Y-m-d', strtotime($dt2));

    $filterDate = " between '$start_dt' and '$end_dt'";
}
$showAllStores =  isset($_GET['showAllStores']);
$uid = $_SESSION["userid"];
?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Summary Report</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="index.html">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Modal title</h4>
            </div>
            <div class="modal-body">
                <form action="insertreceivables.php" method="post" class="form-horizontal" id="form_receivables">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Due</label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="downpayment" id="downpayment"
                                               value="">
                                        <label class="control-label" id="downpayment1"></label>
                                        <input type="hidden" id="invoice_id" name="invoice_id">
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Mode</label>

                                    <div class="col-md-6">
                                        <select class="form-control select2me" name="paymentmode" id="sales">
                                            <option>Cash</option>
                                            <option>Cheque</option>
                                            <option>Credit Card(Visa)</option>
                                            <option>Credit Card(Matercard)</option>
                                            <option>Credit Card(Amex)</option>
                                            <option>Credit Card(Discover)</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>


                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Collection </label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="collection" id="collection"
                                               value="">
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Comments </label>

                                    <div class="col-md-6">
                                        <textarea class="form-control" name="comments"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="payment_history">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="control-label col-md-4">Comments </label>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" id="btn_receivables" class="btn blue">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- BEGIN PAGE HEADER-->
<!-- BEGIN PAGE TITLE & BREADCRUMB-->
<div class="row">
    <div class="col-md-12">

        <h3 class="page-title">
            Summary Report
        </h3>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Change Store</label>

            <div class="col-md-3">
                <select name="changestore" class="form-control" id="changestore">
                    <option <?php if ('0' == $st_id) echo "selected=selected"; ?> value="0">All Stores</option>
                    <?php
                    $sql = "select * from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id=$_SESSION[userid]";
                    if(!$showAllStores)
                        $sql .= " and status=0";

                    $quer = mysql_query($sql);
                    while ($r = mysql_fetch_array($quer)) {
                        ?>
                        <option value="<?php echo $r['store_id']; ?>"
                            <?php if ($r['store_id'] == $st_id) echo "selected=selected"; ?>
                            ><?php echo $r['store_name']; ?></option>
                    <?php } ?>
                </select>
            </div>
            <div class="col-md-3">
                <input type="checkbox" id="chkShowAllStores" <?php if($showAllStores) echo "checked=true"; ?> />
                <label class="control-label" for="chkShowAllStores">Show Inactive Stores</label>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-md-12">
        <div class="form-group">
            <label class="control-label col-md-3">Date Range</label>

            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt" size="16" type="text"
                       placeholder="Start Date" value="" style="cursor:pointer">
            </div>
            <div class="col-md-3">
                <input class="form-control form-control-inline input-medium date-picker" id="dt1" size="16" type="text"
                       placeholder="End Date" value="" style="cursor:pointer">
            </div>
        </div>

    </div>
</div>
<br/>
<!-- END PAGE TTLE & BREADCRUMB-->
<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box blue">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>Sticks</div>

            </div>
            <div class="portlet-body">
                <div class="table-toolbar">


                </div>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                    <thead>
                    <tr>
                        <th></th>
                        <?php if ($filterDate != '') echo "<th>Custom</th>"; ?>
                        <th>Daily ($)</th>
                        <th>Last Day</th>
                        <th>Weekly ($)</th>
                        <th>Last Week</th>

                        <th>Monthly ($)</th>
                        <th>Last Month</th>
                        <th>YTD ($)</th>
                        <th>Last Year</th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php

                    function PrintCell($contents)
                    {
                        echo "<td>$contents</td>";
                    }

                    function PrintRow($title, $formula)
                    {
                        global $filterDate;

                        echo '<tr style="background-color:#FFFFCC">';

                        PrintCell($title);

                        if ($filterDate != '') {
                            PrintCell($formula($filterDate));
                        }

                        PrintCell($formula("='" . date('Y-m-d') . "'"));
                        PrintCell($formula("='" . date('Y-m-d', strtotime("-1 days")) . "'"));

                        $startDate = date("Y-m-d", strtotime('monday this week'));
                        $endDate = date("Y-m-d", strtotime("sunday this week"));
                        PrintCell($formula("between '$startDate' and  '$endDate'"));

                        $startDate = date("Y-m-d", strtotime('monday last week'));
                        $endDate = date("Y-m-d", strtotime("sunday last week"));
                        PrintCell($formula("between '$startDate' and  '$endDate'"));

                        $startDate = date("Y-m-d", strtotime('first day of this month'));
                        $endDate = date("Y-m-d", strtotime("last day of this month"));
                        PrintCell($formula("between '$startDate' and  '$endDate'"));

                        $startDate = date("Y-m-d", strtotime('first day of last month'));
                        $endDate = date("Y-m-d", strtotime("last day of last month"));
                        PrintCell($formula("between '$startDate' and  '$endDate'"));

                        $this_year = date('Y');
                        $startDate = $this_year . '-01-01';
                        $endDate = $this_year . '-12-31';
                        PrintCell($formula("between '$startDate' and  '$endDate'"));

                        $last_year = date('Y', strtotime('-1 year'));
                        $startDate = $last_year . '-01-01';
                        $endDate = $last_year . '-12-31';
                        PrintCell($formula("between '$startDate' and  '$endDate'"));

                        echo '</tr>';
                    }

                    if ($st_id != 0)
                    {
                        $store_id_filter = " and store_id = '$st_id'";
                    } else {
                        if($showAllStores)
                            $store_id_filter = " and store_id in (select store_id from emp_store where emp_id = $uid)";
                        else
                            $store_id_filter = " and store_id in (select e.store_id from stores_master s inner join emp_store e on s.store_id=e.store_id WHERE e.emp_id = $uid and status=0)";
                    }

                    function GetNew($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "SELECT  COUNT( * ) AS count1 FROM events where is_new = '1' and date(created_date)  $filterDate $store_id_filter";

                        return round(ExecuteScalar($sql), 2);
                    }

                    function GetReschedule($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "SELECT count(*) as count1 FROM  `calendar_status` inner join events on calendar_status.event_id = events.event_id WHERE  `eve_status` =  'Recheduled' and date(modified_date) $filterDate and events.is_new = '1' $store_id_filter";

                        return round(ExecuteScalar($sql), 2);
                    }

                    ?>
                    <?php
                    PrintRow ("New", "GetNew");
                    PrintRow("Reschedule", "GetReschedule");
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box green">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>Show</div>

            </div>
            <div class="portlet-body">
                <div class="table-toolbar">


                </div>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_12">
                    <thead>
                    <tr>
                        <th></th>
                        <?php if ($filterDate != '') echo "<th>Custom</th>"; ?>
                        <th>Daily ($)</th>
                        <th>Last Day</th>
                        <th>Weekly ($)</th>
                        <th>Last Week</th>

                        <th>Monthly ($)</th>
                        <th>Last Month</th>
                        <th>YTD ($)</th>
                        <th>Last Year</th>
                    </tr>
                    </thead>
                    <tbody>
                    <?php
                    function GetExisting($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "SELECT count(*) as count1 FROM  `calendar_status` inner join events on calendar_status.event_id = events.event_id WHERE  (`eve_status` =  'No Sale' or `eve_status` =  'Invoice' ) and date(modified_date) $filterDate and events.is_new = '0' $store_id_filter";

                        return round(ExecuteScalar($sql), 2);
                    }

                    function GetShowNew($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "SELECT count(*) as count1 FROM  `calendar_status` inner join events on calendar_status.event_id = events.event_id WHERE  (`eve_status` =  'No Sale' or `eve_status` =  'Invoice' ) and date(modified_date) $filterDate and events.is_new = '1' $store_id_filter";

                        return round(ExecuteScalar($sql), 2);
                    }

                    ?>
                    <?php
                    PrintRow("Existing", "GetExisting");
                    PrintRow("New", "GetShowNew");
                    ?>

                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>
<!-- END PAGE CONTENT -->


<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box blue">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>Revenue</div>

            </div>
            <div class="portlet-body">
                <div class="table-toolbar">


                </div>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_13">
                    <thead>
                    <tr>
                        <th></th>
                        <?php if ($filterDate != '') echo "<th>Custom</th>"; ?>
                        <th>Daily ($)</th>
                        <th>Last Day</th>
                        <th>Weekly ($)</th>
                        <th>Last Week</th>

                        <th>Monthly ($)</th>
                        <th>Last Month</th>
                        <th>YTD ($)</th>
                        <th>Last Year</th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php
                    function GetGross($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select sum(sub_total) as count1 from invoice_total WHERE date(date) $filterDate $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    function GetDown($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select sum(downpayment) as count1 from invoice_total WHERE date(date) $filterDate $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    function GetCollected($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select sum(collection) as count1 from payment_collection inner join invoice_total on payment_collection.invoice_id = invoice_total.id WHERE date(recieved_date) $filterDate and is_dp = '0' $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    function GetRefunds($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select sum(amount) as count1 from refunds inner join invoice_total on refunds.invoice_id = invoice_total.id WHERE date(recieved_date) $filterDate $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    function GetWriteOff($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select sum(writeoff) as count1 from invoice_total WHERE date(date) $filterDate $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    function GetTotalRevenue($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select
ifnull((select sum(collection) as count1 from payment_collection inner join invoice_total on payment_collection.invoice_id = invoice_total.id WHERE date(recieved_date) $filterDate $store_id_filter";

                        $sql .= "), 0) - ifnull((select sum(amount) as count1 from refunds inner join invoice_total on refunds.invoice_id = invoice_total.id WHERE date(recieved_date) $filterDate $store_id_filter";
                        $sql .= "), 0)";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }
                    function GetNewRevenue($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select sub_total from invoice_total WHERE date(date) $filterDate $store_id_filter";
                        $sql .= " order by `date` limit 0, 1";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }
                    function GetExistingRevenue($filterDate)
                    {
                        global $store_id_filter;

                        $sql = "select sub_total from invoice_total WHERE date(date) $filterDate $store_id_filter order by `date` limit 0, 1";
                        $first = ExecuteScalar($sql);
                        $sql = "select sum(sub_total) from invoice_total WHERE date(date) $filterDate $store_id_filter";
                        $sum = ExecuteScalar($sql);

                        return FormatPayment($sum - $first, 2);
                    }
                    PrintRow("Gross", "GetGross");
                    PrintRow("Down", "GetDown");
                    PrintRow("Collected", "GetCollected");
                    PrintRow("Refunds", "GetRefunds");
                    PrintRow("Write Off", "GetWriteOff");
//                    PrintRow("New", "GetNewRevenue");
//                    PrintRow("Existing", "GetExistingRevenue");
                    PrintRow("Total Revenue", "GetTotalRevenue");
                    ?>

                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>
<!-- END PAGE CONTENT -->

<!-- END PAGE -->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box green">
            <div class="portlet-title">
                <div class="caption"><i class="icon-edit"></i>Avg Per Patient</div>

            </div>
            <div class="portlet-body">
                <div class="table-toolbar">


                </div>
                <table class="table table-striped table-hover table-bordered" id="sample_editable_14">
                    <thead>
                    <tr>
                        <th></th>
                        <?php if ($filterDate != '') echo "<th>Custom</th>"; ?>
                        <th>Daily ($)</th>
                        <th>Last Day</th>
                        <th>Weekly ($)</th>
                        <th>Last Week</th>

                        <th>Monthly ($)</th>
                        <th>Last Month</th>
                        <th>YTD ($)</th>
                        <th>Last Year</th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php
                    function GetAverageGross($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select avg(sub_total) as count1 from invoice_total WHERE date(date) $filterDate $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    function GetDownpayment($filterDate)
                    {
                        global $store_id_filter;
                        $sql = "select avg(downpayment) as count1 from invoice_total WHERE date(date) $filterDate $store_id_filter";

                        return FormatPayment(ExecuteScalar($sql), 2);
                    }

                    PrintRow("Gross", "GetAverageGross");
                    PrintRow("Downpayment", "GetDownpayment");
                    ?>
                    </tbody>
                </table>
            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>
<!-- END PAGE CONTENT -->
</div>


</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS System.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->
<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/table-editable.js"></script>
<script>
    jQuery(document).ready(function () {
        App.init();
        // TableEditable.init();
    });
</script>
<script>
    $('.open_modal').click(function () {
        var id = $(this).data('id1');
        var bal = $(this).data('id');
        $('#invoice_id').val(id);
        $('#downpayment').val(bal);
        $('#downpayment1').html('$' + bal);
        $.ajax({
            type: 'POST',
            data: {id: id},
            url: 'fetch_payments.php',
            success: function (html) {
                $('#payment_history').html(html);
            }
        });
    });
</script>
<script>
    $('#btn_receivables').click(function () {
        $('#form_receivables').submit();
    });
</script>
<script>
    $('#changestore').change(function () {
        location.href = buildUrl();;
    });

    $('#chkShowAllStores').change(function () {
        location.href = buildUrl();
    });

    function buildUrl(){
        var store = $('#changestore').val();
        var showAllStores = $('#chkShowAllStores')[0].checked;
        var a = $('#dt').val();
        var b = $('#dt1').val();

        var url = "?id=" + store;
        if(showAllStores)
            url += "&showAllStores=1";

        if(a!= "" && b != "")
            url += '&startdate=' + a + '&enddate=' + b;

        return "summary_report.php" +  url;
    }

    $('#dt').datepicker({
        startDate: "2014-01-01"
    });

    $('#dt1').datepicker({
        startDate: "2014-01-01"
    });

    <?php
     if (isset($_GET['startdate'])) { ?>
    $('#dt').data().datepicker.setDate(new Date('<?php echo $_GET['startdate']; ?>'))
    $('#dt').data().datepicker.update();
    <?php }
    if (isset($_GET['enddate'])) { ?>
    $('#dt1').data().datepicker.setDate(new Date('<?php echo $_GET['enddate']; ?>'))
    $('#dt1').data().datepicker.update();
    <?php } ?>


    $('#dt1').change(function () {
        location.href = buildUrl();
    });


</script>

</body>
<!-- END BODY -->
</html>