<?php
require_once __DIR__ . DIRECTORY_SEPARATOR . "includes" . DIRECTORY_SEPARATOR . "helpers.php";
require_once __DIR__ . DIRECTORY_SEPARATOR . "classes" . DIRECTORY_SEPARATOR . "ModuleHistoryController.php";

$authentication = new Authentication();
$authentication->CheckAuthentication();

SetTimeZone();

$validation = new Validation();
$invoice_id = $validation->GetNumericParameter('id');

$modules = new ModuleHistoryController();
$modules->Add(Modules::INVOICES, $invoice_id);

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>Invoice</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/print.css" rel="stylesheet" type="text/css" media="print"/>
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/pages/invoice.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
        <!-- END TOP NAVIGATION MENU -->
    </div>
    <!-- END TOP NAVIGATION BAR -->
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
    <!-- BEGIN SIDEBAR -->
    <?php include('menu.php'); ?>
    <!-- END SIDEBAR -->
    <!-- BEGIN PAGE -->
    <div class="page-content">
        <!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
        <div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
             aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                        <h4 class="modal-title">Modal title</h4>
                    </div>
                    <div class="modal-body">
                        Widget settings form goes here
                    </div>
                    <div class="modal-footer">
                        <button type="button" class="btn blue">Save changes</button>
                        <button type="button" class="btn default" data-dismiss="modal">Close</button>
                    </div>
                </div>
                <!-- /.modal-content -->
            </div>
            <!-- /.modal-dialog -->
        </div>
        <!-- /.modal -->
        <!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
        <!-- BEGIN STYLE CUSTOMIZER -->

        <!-- END BEGIN STYLE CUSTOMIZER -->
        <!-- BEGIN PAGE HEADER-->
        <div class="row hidden-print">
            <div class="col-md-12">
                <!-- BEGIN PAGE TITLE & BREADCRUMB-->


                <!-- END PAGE TITLE & BREADCRUMB-->
            </div>
        </div>
        <!-- END PAGE HEADER-->
        <!-- BEGIN PAGE CONTENT-->
        <?php
        $sql1 = "select * from invoice_total inner join contacts on invoice_total.contact_id = contacts.id inner join stores_master on invoice_total.store_id = stores_master.store_id where invoice_total.id = '$invoice_id'";
        $query1 = mysql_query($sql1);
        while ($row1 = mysql_fetch_array($query1)) {
            $invoice_num = $row1['invoice_num'];
            $inv_date = date('m/d/y H:i:s', strtotime($row1['date']));

            $contact_name = $row1['fname'] . ' ' . $row1['lname'];
            $add = $row1['address'] . ', ' . $row1['state'] . ', ' . $row1['country'];
            $phn = $row1['phone'];

            $st = $row1['store_name'];
            $st_add = $row1['store_address'] . ', ' . $row1['store_city'];
            $st_phn = $row1['store_phn_num'];
        }

        ?>
        <div class="invoice">
            <div class="row invoice-logo">
                <div class="col-xs-6 invoice-logo-space"></div>
                <div class="col-xs-6">
                    <p>#<?php echo $invoice_num; ?>  / <?php echo $inv_date; ?> </p>
                </div>
            </div>
            <hr/>
            <div class="row">
                <div class="col-xs-6">
                    <h4>Customer:</h4>
                    <ul class="list-unstyled">
                        <li><?php echo $contact_name; ?></li>
                        <li><?php echo $add; ?></li>
                        <li><?php echo $phn; ?></li>

                    </ul>
                </div>
                <div class="col-xs-4">
                </div>
                <div class="col-xs-2 invoice-payment">
                    <h4>Store:</h4>
                    <ul class="list-unstyled">
                        <li><?php echo $st; ?></li>
                        <li><?php echo $st_add; ?></li>
                        <li><?php echo $st_phn; ?></li>
                    </ul>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-12">
                    <table class="table table-striped table-hover">
                        <thead>
                        <tr>
                            <!-- <th>#</th>-->
                            <th>Item</th>
                            <!-- <th class="hidden-480">Description</th>-->
                            <th class="hidden-480">Dose</th>
                            <th class="hidden-480">Quantity</th>
                            <th class="hidden-480">Unit Cost</th>
                            <th>Total</th>
                            <th>Total Doses</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php
                        $sql = "select * from invoice inner join inventory on invoice.item_id = inventory.id where invoice_id = '$invoice_id'";
                        $query = mysql_query($sql);
                        while ($row = mysql_fetch_array($query)) {
                            ?>
                            <tr>
                                <!--<td>1</td>-->
                                <td><?php echo "<a href='dose_add_order.php?inv=$invoice_id&iid=$row[item_id]'>$row[name]</a>"; ?></td>
                                <td class="hidden-480"><?php echo $row['dose']; ?></td>
                                <td class="hidden-480"><?php echo $row['quantity']; ?></td>
                                <td class="hidden-480"><?php echo $row['rate']; ?></td>
                                <td><?php echo $row['total']; ?></td>
                                <td><?php echo ($row['dose']==null || $row['dose']=='') ? "" : $row['dose']*$row['quantity']; ?></td>
                            </tr>
                        <?php } ?>
                        </tbody>
                    </table>
                </div>
            </div>
            <div class="row">
                <div class="col-xs-6">
                    <div class="well">
                        <address>
                            <strong>Payment Info</strong><br/>
                            <?php  $sql = "SELECT payment_mode, collection as amount, comments, `recieved_date`, 1 AS is_payment FROM payment_collection WHERE invoice_id = '$invoice_id'
UNION
SELECT payment_mode, amount, comments, `recieved_date`, 0 AS is_payment FROM `refunds` WHERE invoice_id = '$invoice_id'
ORDER BY recieved_date";
                            $query = mysql_query($sql);
                            while ($row = mysql_fetch_array($query)) {
                                ?>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label
                                                class="control-label"><?php echo FormatPayment($row['amount']) . ($row['is_payment']== "1" ? ' Collection by ' : ' Refund by ') . $row['payment_mode'] . ' on ' . date('m/d/y H:i:s', strtotime($row['recieved_date'])); ?></label>
                                        </div>
                                    </div>
                                </div>
                            <?php }
                            $sql = "select * from invoice_total where id = '$invoice_id'";
                            $query = mysql_query($sql);
                            $row = mysql_fetch_array($query);

                            $sql = "select sum(collection) as bal from payment_collection where invoice_id = '$invoice_id'";
                            $query1 = mysql_query($sql);
                            $row1 = mysql_fetch_array($query1);

                            $sql = "select sum(amount) as refund from refunds where invoice_id = '$invoice_id'";
                            //echo $sql;
                            $query_r = mysql_query($sql);
                            $row_r = mysql_fetch_array($query_r);

                            if($row['writeoff'] != "" && $row['writeoff'] != '0') {
                                ?>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label
                                                class="control-label">Write off: <?php echo FormatPayment($row['writeoff']); ?></label>
                                        </div>
                                    </div>
                                </div>
                            <?php }
                            ?>
                        </address>

                    </div>
                </div>
                <div class="col-xs-5 invoice-block">
                    <ul class="list-unstyled amounts">

                        <li>
                            <strong>Gross:</strong> <?php echo $row['sub_total'];//$row['sub_total']-$row_r['refund']; ?>
                        </li>
                        <li><strong>Payment Made:</strong> <?php echo FormatPayment($row1['bal']); ?></li>
                        <li><strong>Refund:</strong><?php echo FormatPayment($row_r['refund']); ?></li>
                        <li><strong>Write Off:</strong><?php echo FormatPayment($row['writeoff']); ?></li>
                        <li><strong>Balance:</strong> <?php echo FormatPayment($row['balance']); ?></li>

                    </ul>
                    <br/>
                    <a class="btn btn-lg blue hidden-print" onClick="javascript:window.print();">Print <i
                            class="icon-print"></i></a>
                    <!-- <a class="btn btn-lg green hidden-print">ggSubmit Your Invoice <i class="icon-ok"></i></a> -->
                </div>
            </div>
        </div>
        <!-- END PAGE CONTENT-->
    </div>
    <!-- END PAGE -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS SYSTEM.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<script src="assets/scripts/app.js"></script>
<script>
    jQuery(document).ready(function () {
        App.init();
    });
</script>
<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>