<?php
require_once 'includes/helpers.php';
SetTimeZone();
$authentication = new Authentication();
$authentication->CheckAuthentication();
$validation = new Validation();

$role = $_SESSION["role"];
$can_export = $authentication->CanExport($role , Modules::INVOICES );

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title>View Recievables</title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" href="assets/plugins/data-tables/DT_bootstrap.css"/>
    <!-- END PAGE LEVEL STYLES -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>

</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="index.html">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Process Payments</h4>
            </div>
            <div class="modal-body">
                <form action="insertreceivables.php" method="post" class="form-horizontal" id="form_receivables">
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Total Balance</label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="total_bal" id="total_bal"
                                               value="">
                                        <label class="control-label" id="downpayment1"></label>

                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Due</label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="downpayment" id="downpayment"
                                               value="">
                                        <label class="control-label" id="due"></label>
                                        <input type="hidden" id="due1" name="due1">
                                        <input type="hidden" id="invoice_id" name="invoice_id">
                                        <div>
                                            <input type="checkbox" name="chkSplitPayments" id="chkSplitPayments" />
                                            <label class="control-label" for="chkSplitPayments">Split Payments</label>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row" id="singleMode">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Payment Mode</label>

                                    <div class="col-md-6">
                                        <select class="form-control select2me" name="paymentmode" id="sales">
                                            <option>Cash</option>
                                            <option>Check</option>
                                            <option>Credit Card(Visa)</option>
                                            <option>Credit Card(Matercard)</option>
                                            <option>Credit Card(Amex)</option>
                                            <option>Credit Card(Discover)</option>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Cash</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtCash" id="txtCash" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Check</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtCheck" id="txtCheck" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Visa)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtVisa" id="txtVisa" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Matercard)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtMatercard" id="txtMatercard" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Amex)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtAmex" id="txtAmex" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Credit Card(Discover)</label>

                                    <div class="col-md-6">
                                        <input type="text" class="form-control" name="txtDiscover" id="txtDiscover" />
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row multiMode" style="display: none">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Total</label>

                                    <div class="col-md-6">
                                        <label class="control-label" id="lblTotal"> </label>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Collected </label>

                                    <div class="col-md-6">
                                        <input type="hidden" class="form-control" name="collection" id="collection"
                                               value="">
                                        <label class="control-label" id="coll"> </label>
                                    </div>
                                </div>
                            </div>
                        </div>

                        <div class="row">
                            <div class="col-md-12">
                                <div class="form-group">
                                    <label class="control-label col-md-4">Comments </label>

                                    <div class="col-md-6">
                                        <textarea class="form-control" name="comments"></textarea>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div id="payment_history">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label class="control-label col-md-4">Comments </label>

                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" id="btn_receivables" class="btn blue">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->
<div class="row">
	<div class="col-md-12">
        <?php if($can_export) { ?>
            <div class="table-toolbar pull-right">
                <a class="btn btn-lg green hidden-print" href='recievablesExport.php'">Export <i
                        class="icon-print"></i></a>
            </div>
        <?php } ?>
    </div>
    <h3 class="page-title">
        View Receivables
    </h3>
    <div class="col-md-9">
        <form method="post">
            <label class="col-md-3">Search</label>
            <div>
                <input type="text" name="search"  value="<?php if (isset($_REQUEST['search'])) echo $_REQUEST['search']; ?>" class="form-control col-md-2" style="width:50%">

                <button type="submit" class="btn green" name="search_btn" style="width: 73px"
                        id="search_btn">Search
                </button>

            </div>
        </form>
    </div>
</div>

<div class="row">
    <div class="col-md-12">
        <!-- BEGIN EXAMPLE TABLE PORTLET-->
        <div class="portlet box blue">
            <div class="portlet-title"
                 style="margin-top: 15px;">
                <div class="caption"><i class="icon-edit"></i>$ List of Invoices</div>

            </div>
            <div class="portlet-body">

                <table class="table table-striped table-hover table-bordered" id="sample_editable_1">
                    <thead>
                    <tr>
                        <th>Name</th>
                        <th>Invoice #</th>
                        <th>Due Date</th>
                        <th>Store</th>

                        <th>Increments Method</th>
                        <th>Sale Person</th>
                        <th>Gross</th>
                        <th>Down</th>

                        <th>Collected</th>
                        <th>Balance</th>
                        <th>Previous Due</th>
                        <th>Process Payment</th>
                        <th>Write Off</th>
                    </tr>
                    </thead>
                    <tbody>

                    <?php

                    $criteria = "";
                    $join = "";

                    if (isset($_REQUEST['search'])) {
                        $search = trim($_REQUEST['search']);
                        $search = $validation->MakeSafe($search);
                        $criteria = " AND (";

                        $pieces = explode(" ", $search);

                        foreach($pieces as $src){
                            $criteria .= " $join (lname like '%$src%' or fname like '%$src%' or emp_name like '%$src%')";
                            $join = " AND ";
                        }
                        $criteria .= ")";

                    }

                    $st = $_SESSION["store_id"];
                    $sql_condition = "invoice_total inner join contacts on invoice_total.contact_id = contacts.id
                    inner join employee_master on invoice_total.sales_id = employee_master.emp_id
                    where invoice_total.balance > 0 and invoice_total.store_id='$st'";

                    $sql_select1 = mysql_query("SELECT count(*) as c from $sql_condition $criteria");

                    $num = mysql_fetch_array($sql_select1);
                    $num = $num['c'];

                    $a = 0;
                    $b = 50;
                    $pagenum = 1;

                    if (isset($_GET['from']) && isset($_GET['to'])) {
                        $a = $_GET['from'];
                        $b = $_GET['to'];
                        $pagenum = $_GET['page'];
                    }

                    $query = "select *, invoice_total.id as id1, invoice_total.contact_id as cid, invoice_total.store_id as st
                    from $sql_condition $criteria limit $a,$b";

                    $sql_select = mysql_query($query);

                    while ($row = mysql_fetch_array($sql_select)) {

                        ?>
                        <tr style="background-color:#FFCCCC">
                            <td>
                                <a href="editcontact.php?id=<?php echo $row['cid']; ?>"><?php echo $row['lname'] . ', ' . $row['fname']; ?> </a>
                            </td>
                            <td>
                                <a href="viewinvoice.php?id=<?php echo $row['id1']; ?>">#<?php echo $row['invoice_num']; ?></a>
                            </td>
                            <td><?php echo $d1 = date('m/d/y', strtotime($row['due_date']));
                                //  echo date('m/d/y',strtotime($d1. " +1 month "));
                                ?></td>
                            <?php $sql1 = "select * from stores_master where store_id = " . $row['st'];
                            $query1 = mysql_query($sql1);
                            $rw1 = mysql_fetch_array($query1);

                            ?>
                            <td><?php echo $rw1['store_name']; ?></td>

                            <td><?php echo $row['payment_increment']; ?></td>
                            <td><?php echo $row['emp_name']; ?></td>
                            <td><?php echo FormatPayment($row['sub_total']); // gross ?></td>
                            <td><?php echo FormatPayment($row['downpayment']); // down payment ?></td>
                            <?php $sql1 = "select sum(collection) as sum1 from payment_collection where invoice_id = " . $row['id1'] . " and is_dp = '0'";
                            $query1 = mysql_query($sql1);
                            $rw2 = mysql_fetch_array($query1);
                            ?>
                            <td><?php echo FormatPayment($rw2['sum1']); ?></td>

                            <td><?php echo FormatPayment($row['balance']); ?></td>


                            <?php $sql1 = "select * from payment_collection where invoice_id = " . $row['id1'] . " order by id desc limit 1";
                            $query1 = mysql_query($sql1);
                            $rw3 = mysql_fetch_array($query1);
                            $prv_due = $rw3['original_due'];
                            $collection = $rw3['collection'];
                            if ($prv_due < $collection) {
                                //echo $prv_due;
                                //echo $collection;
                                $diff = $prv_due - $collection;
                            }
                            ?>
                            <?php
                            $data = $row['payment_increment'];
                            $whatIWant = substr($data, strpos($data, "-") + 1);
                            //  echo $whatIWant;
                            $str = substr($whatIWant, 1);

                            ?>
                            <td><?php $d = date('m/d/y');
                                if ($d > $d1) {
                                    $a = $prv_due - $collection;
                                    echo FormatPayment($a);
                                } ?></td>
                            <td><a href="#portlet-config" class="open_modal" data-id="<?php echo $row['balance']; ?>"
                                   data-id1="<?php echo $row['id1']; ?>" data-id3="<?php echo $str; ?>"
                                   data-toggle="modal">Process Payment</a></td>
                            <td><a class="write-off" data-id="<?php echo $row['id1']; ?>" href="javascript:;">Write Off</a>
                        </tr>
                    <?php } ?>
                    </tbody>
                </table>
            </div>
            <div class="pull-right">

                <div>
                    <h4 class="block">Advanced Pagination</h4>

                    <p id="dynamic_pager_demo21"></p>
                </div>

            </div>
        </div>
        <!-- END EXAMPLE TABLE PORTLET-->
    </div>
</div>
<!-- END PAGE CONTENT -->


</div>
<!-- END PAGE -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2014 &copy; POS System.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->

<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->
<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/jquery.dataTables.js"></script>
<script type="text/javascript" src="assets/plugins/data-tables/DT_bootstrap.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-bootpag/jquery.bootpag.min.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/table-editable.js"></script>

<script>
    jQuery(document).ready(function () {
        App.init();
        //  TableEditable.init();
        UIGeneral.init();
    });
</script>

<script>
    $('.open_modal').click(function () {
        var id = $(this).data('id1');
        var bal = $(this).data('id');
        var due = $(this).data('id3');
        $('#invoice_id').val(id);
        $('#downpayment').val(bal);
        $('#due').html('$' + due);
        $('#due1').val(due);
        $('#downpayment1').html('$' + bal);
        $('#collection').val(due);
        $('#coll').html('$' + due);
        $.ajax({
            type: 'POST',
            data: {id: id},
            url: 'fetch_payments.php',
            success: function (html) {
                $('#payment_history').html(html);
            }
        });
    });

    $("#chkSplitPayments").change(function(){
        var splitMode = $('#chkSplitPayments')[0].checked;

        $("#singleMode").slideToggle();
        $(".multiMode").slideToggle();
    });

    $(".multiMode").on("change, blur, keydown, keyup", "input", function (e) {
        var total = 0;
        $(".multiMode input").each(function(){
            var val = parseFloat($(this).val().trim());
            total += isNaN(val) ? 0 : val;
        });

        $("#lblTotal").text(total);
    });

    $('.write-off').click(function () {

        var r = confirm("Are you sure you want to write off the remaining payments?");
        if (r) {
            var invoice_id = $(this).data('id');
            $.ajax({
                type: 'POST',
                dataType: "json",
                data: {invoice_id: invoice_id},
                url: 'writeoff_inv.php',
                success: function (data) {
                    location.href = 'receivables.php';
                },
                error: function (e,r) {
                }
            });
        } else {
            event.stopPropagation();
        }
    });

    $('#btn_receivables').click(function () {
        var splitMode = $('#chkSplitPayments')[0].checked;

        if (splitMode) {
            var total = 0;
            $(".multiMode input").each(function () {
                var val = parseFloat($(this).val().trim());
                total += isNaN(val) ? 0 : val;
            });

            var collection = parseFloat($("#collection").val());

            if (total != collection) {
                alert('Total payments must be ' + collection + " while they are " + total);
                return;
            }
        }

        $('#form_receivables').submit();
    });
</script>

<script>
    var id = <?php echo $num; ?>;
    var pagenum = <?php echo $pagenum; ?>;
    var id1 = Math.ceil(id / 50);

    $('#dynamic_pager_demo21').bootpag({
        paginationClass: 'pagination pagination-sm',
        next: '<icon class="icon-angle-right"></i>',
        prev: '<icon class="icon-angle-left"></i>',
        total: id1,
        page: pagenum,
        maxVisible: 6
    }).on('page', function (event, num) {
        var a = (num - 1) * 50;
        var b = 50;
        location.href = "viewreceivables.php?from=" + a + "&to=" + b + "&page=" + num;
        //$("#dynamic_pager_content2").html("Page " + num + " content here"); // or some ajax content loading...
    });

    $('#sample_editable_1').dataTable({
        "bPaginate": false,
        "bFilter": false
    });
</script>

</body>
<!-- END BODY -->
</html>