<?php
require_once 'includes/helpers.php';
SetTimeZone();
$authentication = new Authentication();
$authentication->CheckAuthentication();

$role = $_SESSION["role"];
if(!$authentication->HasAccess($role , Modules::DOSE_ORDERS) &&
    !$authentication->HasAccess($role , Modules::PHARMACY))
    $authentication->DenyAccess();

$validation = new Validation();

$invoice_id = null;
$doctor_id = $_SESSION["userid"];
$pharmacy_id = $_SESSION["userid"];
$notes = null;
$pageTitle = "Add Prescription";
$prescription_date = date('m/d/Y H:i:s');
$status = 0;
$itemCount = 1;
$isPharmacyUser = $authentication->CanWrite($_SESSION['role'],Modules::PHARMACY);

$prescription_id = $validation->GetNumericParameter('id');

$prescription_id = $_GET['id'];
$pageTitle = "Edit Prescription";

// fetch dose order id
$sql = "SELECT * FROM prescriptions WHERE id = $prescription_id";
$query = mysql_query($sql);
if($row = mysql_fetch_array($query)){
    $isNew = false;
    $doctor_id = $row['doctor_id'];
    $pharmacy_id = $row['pharmacy_id'];
    $notes = $row['notes'];
    $prescription_date = $row['prescription_date'];
    $status = $row['status_id'];
} else{
    $isNew = true;
}

// fetch invoice id
$sql = "SELECT invoice_id FROM dose_orders WHERE id = $prescription_id";
$query = mysql_query($sql);
if($row = mysql_fetch_array($query)){
    $invoice_id = $row['invoice_id'];
}

?>
<!DOCTYPE html>
<!-- 
Template Name: Metronic - Responsive Admin Dashboard Template build with Twitter Bootstrap 3.0
Version: 1.5
Author: KeenThemes
Website: http://www.keenthemes.com/
Purchase: http://themeforest.net/item/metronic-responsive-admin-dashboard-template/4021469?ref=keenthemes
-->
<!--[if IE 8]>
<html lang="en" class="ie8 no-js"> <![endif]-->
<!--[if IE 9]>
<html lang="en" class="ie9 no-js"> <![endif]-->
<!--[if !IE]><!-->
<html lang="en" class="no-js"> <!--<![endif]-->
<!-- BEGIN HEAD -->
<head>
    <meta charset="utf-8"/>
    <title><?php echo $pageTitle; ?></title>
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta content="width=device-width, initial-scale=1.0" name="viewport"/>
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <meta name="MobileOptimized" content="320">
    <!-- BEGIN GLOBAL MANDATORY STYLES -->
    <link href="assets/plugins/font-awesome/css/font-awesome.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>
    <link href="assets/plugins/uniform/css/uniform.default.css" rel="stylesheet" type="text/css"/>
    <!-- END GLOBAL MANDATORY STYLES -->
    <!-- BEGIN PAGE LEVEL STYLES -->
    <link rel="stylesheet" type="text/css" href="assets/plugins/select2/select2_metro.css"/>
    <link rel="stylesheet" type="text/css" href="assets/plugins/jquery-multi-select/css/multi-select.css"/>
    <!-- END PAGE LEVEL SCRIPTS -->
    <!-- BEGIN THEME STYLES -->
    <link href="assets/css/style-metronic.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/style-responsive.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/plugins.css" rel="stylesheet" type="text/css"/>
    <link href="assets/css/themes/default.css" rel="stylesheet" type="text/css" id="style_color"/>
    <link href="assets/css/custom.css" rel="stylesheet" type="text/css"/>
    <!-- END THEME STYLES -->
    <link rel="shortcut icon" href="favicon.ico"/>
</head>
<!-- END HEAD -->
<!-- BEGIN BODY -->
<body class="page-header-fixed">
<!-- BEGIN HEADER -->
<div class="header navbar navbar-inverse navbar-fixed-top">
    <!-- BEGIN TOP NAVIGATION BAR -->
    <div class="header-inner">
        <!-- BEGIN LOGO -->
        <a class="navbar-brand" href="#">
            POS SYSTEM
        </a>
        <!-- END LOGO -->
        <!-- BEGIN RESPONSIVE MENU TOGGLER -->
        <a href="javascript:;" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
            <img src="assets/img/menu-toggler.png" alt=""/>
        </a>
        <!-- END RESPONSIVE MENU TOGGLER -->
        <!-- BEGIN TOP NAVIGATION MENU -->
        <ul class="nav navbar-nav pull-right">
            <!-- BEGIN NOTIFICATION DROPDOWN -->
            <li class="dropdown" id="header_notification_bar">
                <a href="index.php" class="dropdown-toggle">
                    Logout
                </a>
            </li>
        </ul>
    </div>
</div>
<!-- END HEADER -->
<div class="clearfix"></div>
<!-- BEGIN CONTAINER -->
<div class="page-container">
<!-- BEGIN SIDEBAR -->
<?php include('menu.php'); ?>
<!-- END SIDEBAR -->
<!-- BEGIN PAGE -->
<div class="page-content">
<!-- BEGIN SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<div class="modal fade" id="portlet-config" tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
     aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                <h4 class="modal-title">Modal title</h4>
            </div>
            <div class="modal-body">
                Widget settings form goes here
            </div>
            <div class="modal-footer">
                <button type="button" class="btn blue">Save changes</button>
                <button type="button" class="btn default" data-dismiss="modal">Close</button>
            </div>
        </div>
        <!-- /.modal-content -->
    </div>
    <!-- /.modal-dialog -->
</div>
<!-- /.modal -->
<!-- END SAMPLE PORTLET CONFIGURATION MODAL FORM-->
<!-- BEGIN STYLE CUSTOMIZER -->

<!-- END BEGIN STYLE CUSTOMIZER -->
<!-- BEGIN PAGE HEADER-->
<div class="row">
    <div class="col-md-12">
        <!-- BEGIN PAGE TITLE & BREADCRUMB-->
        <h3 class="page-title">

        </h3>

        <!-- END PAGE TITLE & BREADCRUMB-->
    </div>
</div>
<!-- END PAGE HEADER-->
<!-- BEGIN PAGE CONTENT-->
<div class="row">
<div class="col-md-12">
<div class="portlet box green">
<div class="portlet-title">
    <div class="caption"><i class="icon-reorder"></i><?php echo $pageTitle; ?></div>

</div>
<div class="portlet-body form">
<!-- BEGIN FORM-->
<form action="<?php echo ($isNew) ? 'insertprescription.php' : 'updateprescription.php'; ?> " method="post" class="form-horizontal" id="frm_submit">
<div class="form-body">
<h3 class="form-section"></h3>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Invoice Number</label>

            <div class="col-md-9">
                <label class="control-label ">##<?php echo $invoice_id; ?></label>
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Doctor</label>

            <div class="col-md-9">
                <select class="form-control select2me" name="doctor_id" id="doctor_id" <?php if($isPharmacyUser) echo " disabled='disabled'"; ?>>

                    <?php $sql = "select * from employee_master";
                    $query = mysql_query($sql);
                    while ($row_emp = mysql_fetch_array($query)) {
                        $sid = $row_emp['emp_id'];

                        if ($doctor_id == $sid) {
                            ?>
                            <option value="<?php echo $row_emp['emp_id']; ?>"
                                    selected="selected"><?php echo $row_emp['emp_name'] ?></option>
                        <?php } else { ?>
                            <option
                                value="<?php echo $row_emp['emp_id']; ?>"><?php echo $row_emp['emp_name'] ?></option>
                        <?php }
                    } ?>
                </select>
            </div>
        </div>
    </div>
    <!--/span-->
</div>
<!--/row-->

<!--/row-->
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Dose Order Number</label>

            <div class="col-md-9">
                <label class="control-label ">##<?php echo $prescription_id; ?></label>
                <input type="hidden" name="prescription_id" value="<?php echo $prescription_id; ?>">
            </div>
        </div>
    </div>
    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Pharmacy</label>

            <div class="col-md-9">
                <select class="form-control select2me" name="pharmacy_id" id="sales" <?php if($isPharmacyUser) echo " disabled='disabled'"; ?>>

                    <?php
                    $pharmacies = $authentication->GetUsersWithAccess(Modules::PHARMACY,Modules::WRITE);

                    foreach ($pharmacies as $row_emp) {
                        $sid = $row_emp['emp_id'];

                        if ($sid == $pharmacy_id) {
                            ?>
                            <option value="<?php echo $row_emp['emp_id']; ?>"
                                    selected="selected"><?php echo $row_emp['emp_name'] ?></option>
                        <?php } else { ?>
                            <option
                                value="<?php echo $row_emp['emp_id']; ?>"><?php echo $row_emp['emp_name'] ?></option>
                        <?php }
                    } ?>
                </select>
            </div>
        </div>
    </div>
    <!--/span-->
</div>
<div class="row">
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Store</label>

            <div class="col-md-9">
                <label class="control-label"><?php echo $_SESSION["store_name"]; ?></label>
            </div>

        </div>
    </div>

    <!--/span-->
    <div class="col-md-6">
        <div class="form-group">
            <label class="control-label col-md-3">Date</label>

            <div class="col-md-9">
                <label class="control-label "><?php echo $prescription_date; ?></label>
                <input type="hidden" name="prescription_date" value="<?php echo date('Y-m-d H:i:s'); ?>"/>
            </div>
        </div>
    </div>
    <!--/span-->
</div>
    <div class="row">
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label col-md-3">Status</label>

                <div class="col-md-9">
                    <select class="form-control select2me" name="status_id" id="sales" <?php if(!$isPharmacyUser) echo " disabled='disabled'"; ?>>

                        <?php $sql = "select * from prescription_statuses";
                        $query = mysql_query($sql);
                        while ($row_stat = mysql_fetch_array($query)) {
                            $sid = $row_stat['id'];

                            if ($sid == $status) {
                                ?>
                                <option value="<?php echo $row_stat['id']; ?>"
                                        selected="selected"><?php echo $row_stat['title'] ?></option>
                            <?php } else { ?>
                                <option
                                    value="<?php echo $row_stat['id']; ?>"><?php echo $row_stat['title'] ?></option>
                            <?php }
                        } ?>
                    </select>
                </div>
            </div>
        </div>
        <!--/span-->
        <div class="col-md-6">
            <div class="form-group">
                <label class="control-label col-md-3">Notes</label>

                <div class="col-md-9">
                    <textarea name="notes" id="notes" class="form-control" <?php if(!$isPharmacyUser) echo " disabled='disabled'"; ?>><?php echo $notes ?></textarea>
                </div>
            </div>
        </div>
        <!--/span-->
    </div>
<hr>
<!--/row-->
<div class="row">
    <div class="col-xs-12">
        <table class="table table-striped table-hover">
            <thead>
            <tr>
                <th>#</th>
                <th>Item</th>
                <th class="hidden-480">Quantity</th>
                <th>Unit Cost</th>
                <th></th>
            </tr>
            </thead>
            <tbody id="tdata">
            <?php
            if(!$isNew){
                $sql = "SELECT * FROM prescription_items WHERE prescription_id = $prescription_id";
                echo $sql;

                $query = mysql_query($sql);
                $i = 1;
                while($row = mysql_fetch_array($query)){
                    ?>

                    <tr>
                        <td>
                            <?php echo $i; ?>
                        </td>
                        <td>
                            <select class="input-medium form-control select2me" id="item<?php echo $i; ?>" name="item<?php echo $i; ?>" placeholder="Select...">
                                <?php
                                $store_id = $_SESSION["store_id"];
                                $itemsql = "SELECT
	*,
	(SELECT `count` FROM inventory_count WHERE store_id = $store_id AND item_id = inventory.`id` LIMIT 0,1) `count`
FROM inventory";
                                $itemquery = mysql_query($itemsql);
                                while ($itemrow = mysql_fetch_array($itemquery)) {?>
                                    <option value="<?php echo $itemrow['id']?>"
                                            data-rate="<?php echo $itemrow['sales_price']; ?>"
                                            data-inventory="<?php echo $itemrow['count']; ?>"
                                            data-dose="<?php echo $itemrow['dose']; ?>"
                                        <?php echo ($itemrow['id'] == $row['item_id']) ? "selected" : ""; ?>>
                                        <?php echo $itemrow['name']; ?>
                                    </option>
                                <?php } ?>
                            </select>
                        </td>
                        <td class="hidden-480">
                            <input type="text" name="quantity<?php echo $i; ?>" id="quantity<?php echo $i; ?>" value="<?php echo $row['qty'] ?>" class="input-small form-control row-quantity">
                        </td>
                        <td class="hidden-480">
                            <input type="text" id="unitcost<?php echo $i; ?>" name="unitcost<?php echo $i; ?>" value="<?php echo $row['unit_cost']; ?>" class="input-small form-control row-quantity" <?php echo ($isPharmacyUser)? "" : "readonly"; ?>>
                        </td>
                        <td>
                            <?php if(!$isPharmacyUser) { ?>
                            <a href="#" data-id={rowNr} class="remove_field">Remove</a>
                            <?php } ?>
                        </td>
                    </tr>
                <?php
                    $i++;
                }
                $itemCount = $i;
            }
            ?>

            </tbody>
        </table>
    </div>
</div>

<?php if(!$isPharmacyUser) { ?>
<div class="row">
    <div class="col-md-12">
        <button type="button" class="btn blue" id="add">
            <i class="icon-plus"></i> Add New Line
        </button>
    </div>
</div>
<?php } ?>
<!--/row-->

</div>


<div class="form-actions fluid">
    <div class="row">
        <div class="col-md-6">
            <div class="col-md-offset-3 col-md-9">
                <!--<input type="submit" class="btn green" value="Save">-->
<!--                <a class="btn btn-lg blue hidden-print" onClick="javascript:window.print();">Print-->
<!--                    <i class="icon-print"></i>-->
<!--                </a>-->

                <button type="button" class="btn green" id="btn_submit" name="btn_save">
                    Save
                </button>
                <input type="submit" class="btn green" name="btn_save_and_print" value="Save &amp; Print" />

                <button type="button" class="btn default" onClick="window.history.back()">
                    Cancel
                </button>
            </div>
        </div>
        <div class="col-md-6">
        </div>
    </div>
</div>
</form>
<!-- END FORM-->
</div>
</div>
</div>


<!-- END PAGE CONTENT-->
</div>
<!-- END PAGE -->
</div>
<!-- END CONTAINER -->
<!-- BEGIN FOOTER -->
<div class="footer">
    <div class="footer-inner">
        2013 &copy; Metronic by keenthemes.
    </div>
    <div class="footer-tools">
         <span class="go-top">
         <i class="icon-angle-up"></i>
         </span>
    </div>
</div>
<!-- END FOOTER -->
<!-- BEGIN JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- BEGIN CORE PLUGINS -->
<!--[if lt IE 9]>
<script src="assets/plugins/respond.min.js"></script>
<script src="assets/plugins/excanvas.min.js"></script>
<![endif]-->
<script src="assets/plugins/jquery-1.10.2.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery-migrate-1.2.1.min.js" type="text/javascript"></script>
<!-- IMPORTANT! Load jquery-ui-1.10.1.custom.min.js before bootstrap.min.js to fix bootstrap tooltip conflict with jquery ui tooltip -->
<script src="assets/plugins/jquery-ui/jquery-ui-1.10.3.custom.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>
<script src="assets/plugins/bootstrap-hover-dropdown/twitter-bootstrap-hover-dropdown.min.js"
        type="text/javascript"></script>
<script src="assets/plugins/jquery-slimscroll/jquery.slimscroll.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.blockui.min.js" type="text/javascript"></script>
<script src="assets/plugins/jquery.cookie.min.js" type="text/javascript"></script>
<script src="assets/plugins/uniform/jquery.uniform.min.js" type="text/javascript"></script>
<!-- END CORE PLUGINS -->
<!-- BEGIN PAGE LEVEL PLUGINS -->


<script type="text/javascript" src="assets/plugins/fuelux/js/spinner.min.js"></script>
<script type="text/javascript" src="assets/plugins/bootstrap-datetimepicker/js/bootstrap-datetimepicker.js"></script>
<script type="text/javascript" src="assets/plugins/jquery.input-ip-address-control-1.0.min.js"></script>

<script type="text/javascript" src="assets/plugins/select2/select2.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-inputmask/jquery.inputmask.bundle.min.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.multi-select.js"></script>
<script type="text/javascript" src="assets/plugins/jquery-multi-select/js/jquery.quicksearch.js"></script>
<!-- END PAGE LEVEL PLUGINS -->
<!-- BEGIN PAGE LEVEL SCRIPTS -->
<script src="assets/scripts/app.js"></script>
<script src="assets/scripts/form-samples.js"></script>
<script src="assets/scripts/form-components.js"></script>

<!-- END PAGE LEVEL SCRIPTS -->
<script>
    jQuery(document).ready(function () {
        // initiate layout and plugins
        App.init();
        FormSamples.init();
        FormComponents.init();
    });
</script>


<script>
    $(document).ready(function () {
        var max_fields = 5; //maximum input boxes allowed
        var wrapper = $("#tdata"); //Fields wrapper
        var add_button = $("#add"); //Add button ID

        var inventory = [
            <?php
            $store_id = $_SESSION["store_id"];
            $sql = "SELECT
	*,
	(SELECT `count` FROM inventory_count WHERE store_id = $store_id AND item_id = inventory.`id` LIMIT 0,1) `count`
FROM inventory";
            $query = mysql_query($sql);
            $sep = "";
            while ($row = mysql_fetch_array($query)) {
                echo "$sep{id:$row[id], name:'$row[name]', rate:'$row[sales_price]', inventory:'$row[count]', dose:'$row[dose]'}";
                $sep = ",";
            } ?>
        ];

        function CreateRow(rowNr) {
            var row_template = '<tr><td>{rowNr}</td><td><select class="input-medium form-control select2me" id="item{rowNr}" name="item{rowNr}" placeholder="Select..."><option></option>{options}</select></td><td class="hidden-480"><input type="text" name="quantity{rowNr}" id="quantity{rowNr}" value="1" class="input-small form-control row-quantity"></td><td class="hidden-480"><input type="text" id="unitcost{rowNr}" name="unitcost{rowNr}" value="0.00" class="input-small form-control row-quantity" <?php echo ($isPharmacyUser)? "" : "disabled"; ?>></td><td><a href="#" data-id={rowNr} class="remove_field">Remove</a></td></tr>';
            var option_template = "<option value='{id}' data-rate='{rate}' data-inventory='{inventory}' data-dose='{dose}'>{name}</option>";

            var options = "";
            for(var i = 0; i<inventory.length; i++){
                options += option_template
                    .replace("{id}", inventory[i].id)
                    .replace("{name}", inventory[i].name)
                    .replace("{rate}", inventory[i].rate)
                    .replace("{dose}", inventory[i].dose)
                    .replace("{inventory}", inventory[i].inventory);
            }
            var impl = row_template.replace(/{rowNr}/g, rowNr).replace("{options}", options);

            $(wrapper).append(impl);

            if (jQuery().select2) {
                $('#item'+rowNr).select2({
                    placeholder: "Select",
                    allowClear: false
                });
            }
        }

        var x = <?php echo $itemCount; ?>; //initial text box count
        if(x == 1){
            CreateRow(x++);
        }

        $(add_button).click(function (e) {
            CreateRow(x++);
        });

        $(wrapper).on("click", ".remove_field", function (e) { // Remove button
            $(this).parent().parent().remove();

            x = 1;
            $(wrapper).find("tr").each(function(){
                var td = $($(this).find("td:first"));
                var rowNum = td.text();
                td.text(x);

                function changeItem(row, itemName){
                    $($(row).find("#"+itemName+rowNum)).attr("id", itemName + x).attr("name", itemName + x);
                }
                changeItem(this, "item");
                changeItem(this, "quantity");
                x++;
            });


        });

    });

</script>

<script>
    $('#btn_submit').click(function () {
        $('#frm_submit').submit();
    });

</script>


<!-- END JAVASCRIPTS -->
</body>
<!-- END BODY -->
</html>